shinyUI(fluidPage(

  titlePanel("Least Squares Regression"),
  
  sidebarLayout(
    sidebarPanel(
      HTML("<a class='btn' href='/'><b>Start Over!</b></a><p>"),
      radioButtons("whichgraph", "Type of Graphics",
             c("base" = "base","ggplot2" = "ggplot2"),inline=TRUE),
      uiOutput("checkGraph"),  
      numericInput("n", "Number of Points", value=25,
             min = 5, max = 100),
      sliderInput("intercept", "Intercept", 0,
             min = -10, max = 10,step=0.5),       
      sliderInput("slope", "Slope", 0,
             min = -10, max = 10,step=0.5),
      sliderInput("sd", HTML("Residual Standard deviation &sigma;"), 1,
             min = 0.0, max = 5.0,step=0.1),
            
      uiOutput("appinfo"),width=3       
    ),
  mainPanel(  
      uiOutput("text1"),
      plotOutput("plot1",width="450px",height="350px")
            
    )
  ),
  uiOutput("explainText")
))

